# $Revision: 1.65 $, $Date: 2006/12/26 12:02:32 $
#
# TODO: Handle situations when there are no modules (most bconds turned off)
#
# Conditional build:
%bcond_without	alsa	# without ALSA modules
%bcond_without	arts	# without aRts module
%bcond_without	dga2	# without DGA2 module
%bcond_without	dbglib	# don't build debug versions of library
%bcond_without	esd	# without esound module
%bcond_without	fbcon	# without framebuffer module
%bcond_without	jack	# without JACK module
%bcond_without	proflib	# don't debug profiling versions of library
%bcond_without	sse	# build without sse
%bcond_without	static	# don't build static versions of library
%bcond_without	svga	# without svgalib module
%bcond_without	vga	# without vga module
#
Summary:	A game programming library
Summary(de):	Eine Bibliothek zur Programmierung von Spielen
Summary(es):	Una biblioteca de programacin de juegos
Summary(fr):	Une librairie de programmation de jeux
Summary(it):	Una libreria per la programmazione di videogiochi
Summary(pl):	Biblioteka do programowania gier
Name:		allegro
Version:	4.2.1
Release:	1
License:	Giftware
Group:		Libraries
Source0:	http://dl.sourceforge.net/alleg/%{name}-%{version}.tar.gz
# Source0-md5:	0a09d0144ee8652fb8fa00f6cbb324fe
Patch0:		%{name}-info.patch
Patch1:		%{name}-examples.patch
Patch2:		%{name}-opt.patch
Patch3:		%{name}-ldflags.patch
Patch4:		%{name}-frame-pointer.patch
Patch5:		%{name}-config.patch
URL:		http://alleg.sourceforge.net/
BuildRequires:	XFree86-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel}
%if %{with jack}
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	pkgconfig
%endif
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

%description -l de
Allegro ist eine plattformbergreifende Bibliothek zur Verwendung in
Computerspielen und anderen Formen von Multinediaprogrammierung.

%description -l es
Allegro es una librera multi-plataforma creada para ser usada en la
programacin de juegos u otro tipo de programacin multimedia.

%description -l fr
Allegro est une librairie multi-plateforme destine  tre utilise
dans les jeux vido ou d'autres types de programmation multimdia.

%description -l it
Allegro  una libreria multipiattaforma dedicata all'uso nei
videogiochi ed in altri tipi di programmazione multimediale.

%description -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

%package devel
Summary:	A game programming library - header files
Summary(es):	Archivos de inclusin
Summary(pl):	Biblioteka do programowania gier - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains header files neccessary for compiling
applications using allegro library.

%description devel -l de
Allegro ist eine plattformbergreifende Bibliothek zur Verwendung in
Computerspielen und anderen Formen von Multinediaprogrammierung.
Dieses Paket wird bentigt, um Programme zu bauen, die Allegro
verwenden.

%description devel -l es
Allegro es una librera multi-plataforma creada para ser usada en la
programacin de juegos u otro tipo de programacin multimedia. Este
paquete es necesario para compilar los programas que usen Allegro.

%description devel -l fr
Allegro est une librairie multi-plateforme destine  tre utilise
dans les jeux vido ou d'autres types de programmation multimdia. Ce
package est ncessaire pour compiler les programmes utilisant Allegro.

%description devel -l it
Allegro  una libreria multipiattaforma dedicata all'uso nei
videogiochi ed in altri tipi di programmazione multimediale. Questo
pacchetto  necessario per compilare programmi scritti con Allegro.

%description devel -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera pliki nagwkowe niezbdne do kompilowania
aplikacji wykorzystujcych bibliotek allegro.

%package static
Summary:	A game programming library - static libraries
Summary(pl):	Biblioteka do programowania gier - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains static libraries for linking with allegro
applications.

%description static -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera biblioteki statyczne do konsolidacji z aplikacjami
wykorzystujcymi allegro.

%package debug
Summary:	liballd - debug version of shared allegro library
Summary(pl):	liballd - wersja debug dzielonej biblioteki allegro
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description debug
liballd - debug version of shared allegro library (contains debugging
symbols and other information).

%description debug -l pl
liballd - wersja debug dzielonej biblioteki allegro (zawierajca
symbole i inne informacje potrzebne przy odpluskwianiu).

%package debug-static
Summary:	liballd - debug version of static allegro library
Summary(pl):	liballd - wersja debug statycznej biblioteki allegro
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description debug-static
liballd - debug version of static allegro library (contains debugging
symbols and other information).

%description debug-static -l pl
liballd - wersja debug statycznej biblioteki allegro (zawierajca
symbole i inne informacje potrzebne przy odpluskwianiu).

%package profile
Summary:	liballp - profiling version of shared allegro library
Summary(pl):	liballp - wersja dzielonej biblioteki allegro suca do profilowania
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description profile
liballp - profiling version of shared allegro library.

%description profile -l pl
liballp - wersja dzielonej biblioteki allegro suca do profilowania.

%package profile-static
Summary:	liballp - profiling version of static allegro library
Summary(pl):	liballp - wersja statycznej biblioteki allegro suca do profilowania
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description profile-static
liballp - profiling version of static allegro library.

%description profile-static -l pl
liballp - wersja statycznej biblioteki allegro suca do
profilowania.

%package svgalib
Summary:	A game programming library - svgalib module
Summary(pl):	Biblioteka do programowania gier - modu dla svgalib
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description svgalib
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with allegro and svgalib.

%description svgalib -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania allegro z svgalibem.

%package dga2
Summary:	A game programming library - DGA2 module
Summary(pl):	Biblioteka do programowania gier - modu dla DGA2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description dga2
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with DGA.

%description dga2 -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z DGA.

%package esd
Summary:	A game programming library - esound module
Summary(pl):	Biblioteka do programowania gier - modu dla esound
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description esd
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains a esound module for use with ESound daemon.

%description esd -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z demonem ESound.

%package arts
Summary:	A game programming library - aRts module
Summary(pl):	Biblioteka do programowania gier - modu dla aRts
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description arts
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains a esound module for use with aRts.

%description arts -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z aRts.

%package fbcon
Summary:	A game programming library - framebuffer module
Summary(pl):	Biblioteka do programowania gier - modu dla framebuffera
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description fbcon
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains a esound module for use with framebuffer.

%description fbcon -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z framebufferem.

%package vga
Summary:	A game programming library - vga module
Summary(pl):	Biblioteka do programowania gier - modu dla vga
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description vga
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains a esound module for use with vga.

%description vga -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z vga.

%package alsa
Summary:	A game programming library - ALSA modules
Summary(pl):	Biblioteka do programowania gier - moduy dla ALSA
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	allegro-alsa9

%description alsa
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains modules for use with ALSA sound library.

%description alsa -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera moduy do wykorzystania z bibliotek dwikow
ALSA.

%package jack
Summary:	A game programming library - JACK module
Summary(pl):	Biblioteka do programowania gier - modu dla JACK-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description jack
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains module for use with JACK sound library.

%description jack -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera modu do wykorzystania z bibliotek dwikow JACK.

%package tools
Summary:	A game programming library - tools
Summary(de):	Zustzliche Hilfprogramme fr die Allegro Bibliothek
Summary(es):	Herramientas adicionales para la librera de programacin Allegro
Summary(fr):	Outils supplmentaires pour la librairie de programmation Allegro
Summary(it):	Programmi di utilit aggiuntivi per la libreria Allegro
Summary(pl):	Biblioteka do programowania gier - narzdzia
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description tools
Allegro is a cross-platform library intended for use in computer games
and other types of multimedia programming.

This package contains tools.

%description tools -l de
Allegro ist eine plattformbergreifende Bibliothek zur Verwendung in
Computerspielen und anderen Formen von Multinediaprogrammierung.
Dieses Paket enthlt Programme, die fr die Entwicklung von Allegro
Programmen hilfreich sind.

%description tools -l es
Allegro es una librera multi-plataforma creada para ser usada en la
programacin de juegos u otro tipo de programacin multimedia. Este
paquete contiene herramientas adicionales que son tiles para
desarrollar programas que usen Allegro.

%description tools -l fr
Allegro est une librairie multi-plateforme destine  tre utilise
dans les jeux vido ou d'autres types de programmation multimdia. Ce
package contient des outils supplmentaires qui sont utiles pour le
dveloppement de programmes avec Allegro.

%description tools -l it
Allegro  una libreria multipiattaforma dedicata all'uso nei
videogiochi ed in altri tipi di programmazione multimediale. Questo
pacchetto contiene programmi di utilit aggiuntivi utili allo sviluppo
di programmi con Allegro.

%description tools -l pl
Allegro jest przenon bibliotek przeznaczon do wykorzystania w
grach komputerowych i innych rodzajach oprogramowania multimedialnego.

Ten pakiet zawiera narzdzia.

%package tests
Summary:	A game programming library - test programs
Summary(pl):	Biblioteka do programowania gier - programy testujce
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description tests
This package contains programs for testing allegro library.

%description tests -l pl
Pakiet zawiera programy testujce bibliotek allegro.

%package examples
Summary:	A game programming library - examples
Summary(pl):	Biblioteka do programowania gier - programy przykadowe
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs which demonstrate allegro
features.

%description examples -l pl
Pakiet zawiera programy przykadowe demonstrujce moliwoci
biblioteki allegro.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__aclocal}
%{__autoheader} configure.in > include/allegro/platform/alunixac.hin
%{__autoconf}
TARGET_ARCH="%{rpmcflags}" export TARGET_ARCH
# dbglib & proflib are compiled besides normlib, so it's ok to have them here
%configure \
	%{?with_static:--enable-static} \
	%{?with_dbglib:--enable-dbglib} \
	%{?with_proflib:--enable-proflib} \
%if !%{with alsa}
	--disable-alsadigi \
	--disable-alsamidi \
%endif
	%{!?with_arts:--disable-artsdigi} \
	%{!?with_dga2:--disable-xwin-dga2} \
	%{!?with_esd:--disable-esddigi} \
	%{!?with_fbcon:--disable-fbcon} \
	%{!?with_jack:--disable-jackdigi} \
	%{!?with_svga:--disable-svgalib} \
	%{!?with_vga:--disable-vga} \
%if !%{with sse}
	--disable-sse \
	--disable-asm \
%endif
%ifnarch %{ix86}
	--disable-asm \
	--disable-mmx \
	--disable-sse
%endif

%{__make} \
	MAKEINFO=makeinfo

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-man install-info install-lib \
	DESTDIR=$RPM_BUILD_ROOT

install modules.lst $RPM_BUILD_ROOT%{_libdir}/allegro/%{version}

mv $RPM_BUILD_ROOT%{_bindir}/demo{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/play{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/setup{,-allegro}
mv $RPM_BUILD_ROOT%{_bindir}/test{,-allegro}

# help rpm to find reqs for ELF objects
chmod 755 $RPM_BUILD_ROOT%{_libdir}/{*.so,allegro/*/*.so}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES THANKS readme.txt
%attr(755,root,root) %{_libdir}/liballeg-%{version}.so
%dir %{_libdir}/allegro
%dir %{_libdir}/allegro/%{version}
%{_libdir}/allegro/%{version}/modules.lst

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/allegro-config
%{_libdir}/liballeg_unsharable.a
%{_includedir}/*
%{_aclocaldir}/allegro.m4
%{_mandir}/man3/*
%{_infodir}/*.info*

%if %{with static}
%files static
%defattr(644,root,root,755)
%{_libdir}/liballeg.a
%endif

%if %{with dbglib}
%files debug
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liballd-%{version}.so
%{_libdir}/liballd_unsharable.a

%if %{with static}
%files debug-static
%defattr(644,root,root,755)
%{_libdir}/liballd.a
%endif
%endif

%if %{with proflib}
%files profile
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liballp-%{version}.so
%{_libdir}/liballp_unsharable.a

%if %{with static}
%files profile-static
%defattr(644,root,root,755)
%{_libdir}/liballp.a
%endif
%endif

%if %{with svga}
%files svgalib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-svgalib.so
%endif

%if %{with dga2}
%files dga2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-dga2.so
%endif

%if %{with esd}
%files esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-esddigi.so
%endif

%if %{with arts}
%files arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-artsdigi.so
%endif

%if %{with fbcon}
%files fbcon
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-fbcon.so
%endif

%ifarch %{ix86}
%if %{with vga}
%files vga
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-vga.so
%endif
%endif

%if %{with alsa}
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-alsadigi.so
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-alsamidi.so
%endif

%if %{with jack}
%files jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/allegro/%{version}/alleg-jackdigi.so
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/colormap
%attr(755,root,root) %{_bindir}/exedat
%attr(755,root,root) %{_bindir}/pack
%attr(755,root,root) %{_bindir}/rgbmap
%attr(755,root,root) %{_bindir}/textconv
%attr(755,root,root) %{_bindir}/xkeymap
%attr(755,root,root) %{_bindir}/xf2pcx
%attr(755,root,root) %{_bindir}/dat
%attr(755,root,root) %{_bindir}/dat2c
%attr(755,root,root) %{_bindir}/dat2s
%attr(755,root,root) %{_bindir}/grabber
%attr(755,root,root) %{_bindir}/pat2dat
%attr(755,root,root) %{_bindir}/setup-allegro

%files tests
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/afinfo
%attr(755,root,root) %{_bindir}/akaitest
%attr(755,root,root) %{_bindir}/cpptest
%attr(755,root,root) %{_bindir}/demo-allegro
%attr(755,root,root) %{_bindir}/digitest
%attr(755,root,root) %{_bindir}/filetest
%attr(755,root,root) %{_bindir}/gfxinfo
%attr(755,root,root) %{_bindir}/mathtest
%attr(755,root,root) %{_bindir}/miditest
%attr(755,root,root) %{_bindir}/play-allegro
%attr(755,root,root) %{_bindir}/playfli
%attr(755,root,root) %{_bindir}/test-allegro
%attr(755,root,root) %{_bindir}/vesainfo

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ex12bit
%attr(755,root,root) %{_bindir}/ex3buf
%attr(755,root,root) %{_bindir}/ex3d
%attr(755,root,root) %{_bindir}/exaccel
%attr(755,root,root) %{_bindir}/exalpha
%attr(755,root,root) %{_bindir}/exbitmap
%attr(755,root,root) %{_bindir}/exblend
%attr(755,root,root) %{_bindir}/excamera
%attr(755,root,root) %{_bindir}/excolmap
%attr(755,root,root) %{_bindir}/exconfig
%attr(755,root,root) %{_bindir}/excustom
%attr(755,root,root) %{_bindir}/exdata
%attr(755,root,root) %{_bindir}/exdbuf
%attr(755,root,root) %{_bindir}/exexedat
%attr(755,root,root) %{_bindir}/exfixed
%attr(755,root,root) %{_bindir}/exflame
%attr(755,root,root) %{_bindir}/exflip
%attr(755,root,root) %{_bindir}/exfont
%attr(755,root,root) %{_bindir}/exgui
%attr(755,root,root) %{_bindir}/exhello
%attr(755,root,root) %{_bindir}/exjoy
%attr(755,root,root) %{_bindir}/exkeys
%attr(755,root,root) %{_bindir}/exlights
%attr(755,root,root) %{_bindir}/exmem
%attr(755,root,root) %{_bindir}/exmidi
%attr(755,root,root) %{_bindir}/exmouse
%attr(755,root,root) %{_bindir}/expackf
%attr(755,root,root) %{_bindir}/expal
%attr(755,root,root) %{_bindir}/expat
%attr(755,root,root) %{_bindir}/exquat
%attr(755,root,root) %{_bindir}/exrgbhsv
%attr(755,root,root) %{_bindir}/exsample
%attr(755,root,root) %{_bindir}/exsyscur
%attr(755,root,root) %{_bindir}/exscale
%attr(755,root,root) %{_bindir}/exscn3d
%attr(755,root,root) %{_bindir}/exscroll
%attr(755,root,root) %{_bindir}/exshade
%attr(755,root,root) %{_bindir}/exspline
%attr(755,root,root) %{_bindir}/exsprite
%attr(755,root,root) %{_bindir}/exstars
%attr(755,root,root) %{_bindir}/exstream
%attr(755,root,root) %{_bindir}/exswitch
%attr(755,root,root) %{_bindir}/extimer
%attr(755,root,root) %{_bindir}/extrans
%attr(755,root,root) %{_bindir}/extruec
%attr(755,root,root) %{_bindir}/exunicod
%attr(755,root,root) %{_bindir}/exupdate
%attr(755,root,root) %{_bindir}/exxfade
%attr(755,root,root) %{_bindir}/exzbuf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: allegro.spec,v $
Revision 1.65  2006/12/26 12:02:32  lisu
- up to 4.2.1

Revision 1.64  2006/11/13 14:51:45  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.63  2006/04/16 20:28:09  qboosh
- added config patch to kill -L/usr/lib from `allegro-config --libs`

Revision 1.62  2005/11/15 16:51:45  qboosh
- still use metapackage name in X11 BR

Revision 1.61  2005/11/13 18:47:46  wolf
- updated to 4.2.0
- removed unnecessary patches (resolved in sources), updated others
- added more bconds
- fixed BuildRequires
- adapterized, fixed Polish descriptions
- added previously unpacked files
(kiesyoo at o2 pl)

Revision 1.60  2005/05/21 19:24:48  qboosh
- updated to 4.1.18
- fixed info patch, added asm patch for current gas
- run fix-info-dir in -devel post/postun

Revision 1.59  2005/01/16 22:48:29  qboosh
- updated to 4.1.17, updated examples patch

Revision 1.58  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.57  2004/11/04 19:36:12  ankry
- pl fix

Revision 1.56  2004/07/31 13:58:49  qboosh
- updated to 4.1.15, updated opt patch, added am18 patch

Revision 1.55  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.54  2004/05/23 21:14:34  grzegol
- updated to 4.1.14
- added jack subpackage and without_jack bcond

Revision 1.53  2004/03/05 21:27:02  grzegol
- updated to 4.1.13
- strict internal deps

Revision 1.52  2004/01/02 14:06:54  jajcus
- Release: 3

Revision 1.51  2003/12/29 12:52:33  jajcus
- fix for compilation with alsa-lib-1.0.0rc2

Revision 1.50  2003/11/12 00:01:21  qboosh
- fixed opt patch, updated frame-pointer patch, cleanups
- vga os built only on x86

Revision 1.49  2003/11/11 22:40:52  qboosh
- added -I for artsc headers

Revision 1.48  2003/11/11 22:20:46  qboosh
- updated to 4.1.12, updated info,opt patches, removed obsolete alsa9 patch
- new-style bconds, some cleanups (and some for testing)

Revision 1.47  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.46  2003/10/25 13:25:40  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.45  2003/10/22 13:00:01  wolf
- kernel headers mumbo-jumbo

Revision 1.44  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.43  2003/10/02 20:47:31  wolf
- there is no fbcon

Revision 1.42  2003/10/02 05:31:29  witekfl
- added frame-pointer.patch

Revision 1.41  2003/08/31 19:14:44  wolf
- --disable-asm is also req'd

Revision 1.40  2003/08/31 19:00:48  wolf
- get rid of alsa shit

Revision 1.39  2003/08/31 18:58:59  wolf
- w/o sse bcond

Revision 1.38  2003/08/28 22:12:18  qboosh
- updated alsa9 patch (builds, !tested), made it default

Revision 1.37  2003/08/25 17:17:16  wolf
- as mmazur said: do not require knowing magic to build

Revision 1.36  2003/08/24 23:01:04  wolf
- 4.1.11

Revision 1.35  2003/08/06 16:07:34  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.34  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.33  2003/05/25 05:45:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/08 12:26:03  trojan
- added without svgalib bcond

Revision 1.31  2003/02/05 14:37:49  qboosh
- sorted translations, removed duplicate -tests and -examples preamples

Revision 1.30  2003/02/05 12:54:38  ggodlewski
- added translations from original allegro spec

Revision 1.29  2003/02/05 12:54:00  ggodlewski
- added translations from original allegro spec

Revision 1.28  2003/01/29 23:21:00  qboosh
- updated to 4.1.9
- added opt patch to simplify optflags passing (for normal and profiling libs)
- thrown debug and profiling libs to subpackages
- bcond for arts, fixed bcond for alsa, workaround for weak rpm's parser

Revision 1.27  2003/01/29 10:29:18  ggodlewski
- 4.1.7
- digi driver for alsa9 works

Revision 1.26  2002/12/06 15:54:01  ggodlewski
- updated do 4.1.6
- few more modules

Revision 1.25  2002/11/22 00:01:09  wolf
- 4.1.5

Revision 1.24  2002/10/30 09:03:28  kloczek
- release 4.

Revision 1.23  2002/10/29 21:56:54  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.22  2002/10/07 09:36:03  qboosh
- BR: autoconf,automake

Revision 1.21  2002/09/20 00:36:20  wolf
- it's not for X only
- alsa magically appeared
- proper modules.lst
- release 3

Revision 1.20  2002/09/18 07:05:13  marcus
- fixed CFLAGS

Revision 1.19  2002/09/18 06:57:28  marcus
- typo

Revision 1.18  2002/09/18 06:41:02  marcus
- fixed for !ix86
- rel.2. (rel 1. is on ftp for ix86)

Revision 1.17  2002/09/11 21:19:17  wolf
- 4.1.1
- alsa is out - SOD#1
- some missing %%files
- run ldconfig after (un)install
- changed common binary names to more specific ones
- TODO: datafiles for some examples and demo are missing

Revision 1.16  2002/08/22 17:48:43  ggodlewski
- updated to WIP version
- added unsharabled libraries to devel

Revision 1.15  2002/08/16 16:32:57  qboosh
- svgalib on x86 and alpha

Revision 1.14  2002/06/27 15:30:36  ggodlewski
- new packages with test and example programs
- updated to 4.0.2-rc2

Revision 1.13  2002/06/19 12:38:47  marcus
- fixed %%ifarch in %%files

Revision 1.12  2002/06/05 16:18:28  kloczek
- release 1: use new %doc.

Revision 1.11  2002/06/05 11:50:31  marcus
- fixed for !ix86

Revision 1.10  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 15:43:17  arturs
fixed a small typo

Revision 1.8  2002/04/19 08:35:44  wiget
fixed Release:

Revision 1.7  2002/04/19 06:45:53  kloczek
- use svgalib only on %%{ix86}.

Revision 1.6  2002/04/18 11:19:36  ggodlewski
Update to 4.0.1

Revision 1.5  2002/03/27 11:19:25  roman
s/giftware/Giftware in License

Revision 1.4  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/23 03:53:38  kloczek
- updated to 3.9.40,
- added info patch with fix allegro info index entry,
- Group changed to X11/Libraries,
- added texinfo to BuildRequires,
- spec adapterized.

Revision 1.1  2001/11/13 16:20:29  zagrodzki
- initial revision
